Subject: Re: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Sun, 16 Apr 2023 03:48:56 +0300

On 03/03/2023 15:44, Dmitry Gutov wrote:
> I've also tried to reproduce the error with a Lucid build of Emacs 29 
> under GNOME -- never hit the problem once.

Life update: I've tried switching to a Lucid build for regular work.

While the test scenarios that I've shown so far fail to reproduce with 
it, I'm seeing very similar problems. Examples:

- Do some search using 'C-x p g', wait to see the results buffer 
displayed but it's not displayed for a while. I look at the title bar - 
and it already says *xref*, but the frame is still not updated. If I 
press something like 'C-n' or 'C-f' now, that triggers the necessary 
refresh.

- When the said Xref buffers is selected, I press 'q'. Likewise, the 
frame might not get updated for a while, still showing the previous 
window configuration until I issue the next command.

These are of course random and don't happen every time. Often enough to 
be annoying, though.